commit: 31eb3aec5615a80b1fcbf8ad15b36190b02f3e31
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 28 07:57:29 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 28 08:35:20 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31eb3aec
dev-python/pytest-regressions: Bump to 2.2.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pytest-regressions/Manifest | 1 +
.../pytest-regressions-2.2.0.ebuild | 43 ++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/dev-python/pytest-regressions/Manifest
b/dev-python/pytest-regressions/Manifest
index 59a56456553..b4562fbb63b 100644
--- a/dev-python/pytest-regressions/Manifest
+++ b/dev-python/pytest-regressions/Manifest
@@ -1 +1,2 @@
DIST pytest-regressions-2.1.1.tar.gz 97596 BLAKE2B
a0c62ec1a0c1f66d0539780008a99bcf7fb0f9bd6d73198154c9a1ebe9830679d4fb57f989a2ac03c19cce7ac617db26c07857581d2bf753fbe18358a9edcecc
SHA512
488bf42502ad18995c1f1e7f32677c500d14869cc0e2655400610bf18b73f48538025c08fc23758737ebb92deba61b130a1f6f82a75f71d93f03181ccd74a9c4
+DIST pytest-regressions-2.2.0.tar.gz 98162 BLAKE2B
d87b331a35a988e8da6a6c827b594eea6ac64adb17a5b4a054ff0e9526d8d0153d84e0f59ffc805f76a96c1b100961ae12d05849fe2dd35ff4c18f42e235b3b0
SHA512
a4c91590f6e3825eef97da4fb21c1b852b68b60d6dc61ca9e1581737c0cb02831b091ae215aa16a5c50d06d413dabf243de4e98ebd01ce2af7fd2ddbaedec3fb
diff --git a/dev-python/pytest-regressions/pytest-regressions-2.2.0.ebuild
b/dev-python/pytest-regressions/pytest-regressions-2.2.0.ebuild
new file mode 100644
index 00000000000..3e11d5accfd
--- /dev/null
+++ b/dev-python/pytest-regressions/pytest-regressions-2.2.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Easy to use fixtures to write regression tests"
+HOMEPAGE="https://github.com/ESSS/pytest-regressions"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-datadir[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/tox[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests --install pytest
+distutils_enable_sphinx doc dev-python/sphinx_rtd_theme
+
+python_prepare_all() {
+ # Does not work with the panda's version in ::gentoo
+ sed -i -e 's:test_non_numeric_data:_&:' \
+ -e 's:test_non_pandas_dataframe:_&:' \
+ tests/test_dataframe_regression.py || die
+
+ distutils-r1_python_prepare_all
+}